
Foreman - Bug #13694

compute resource provider from plugin missing sometimes

02/13/2016 10:31 AM - Thomas McKay

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have not consistently reproduced this but there seems to be a situation where the compute resource model is loaded after a plugin

(docker) has registered itself as a provider. This results in it being missing from the list of supported_providers.

https://github.com/theforeman/foreman/blob/develop/app/models/compute_resource.rb#L13

  class_attribute :supported_providers

  self.supported_providers = {

    'Libvirt'   => 'Foreman::Model::Libvirt',

    'Ovirt'     => 'Foreman::Model::Ovirt',

    'EC2'       => 'Foreman::Model::EC2',

    'Vmware'    => 'Foreman::Model::Vmware',

    'Openstack' => 'Foreman::Model::Openstack',

    'Rackspace' => 'Foreman::Model::Rackspace',

    'GCE'       => 'Foreman::Model::GCE',

  }

Related issues:

Is duplicate of Foreman - Bug #12746: Compute resources can disappear in a de... Closed 12/08/2015

History

#1 - 02/15/2016 03:06 AM - Dominic Cleal

- Is duplicate of Bug #12746: Compute resources can disappear in a development instance added

#2 - 02/15/2016 03:06 AM - Dominic Cleal

- Status changed from New to Duplicate
